# For BC260
Get-NavAppInfo -ServerInstance $newBcServerInstance | Format-Table Name | Out-File -FilePath $filePathBC260

# For BC250
Get-NavAppInfo -ServerInstance $oldBcServerInstance | Format-Table Name | Out-File -FilePath $filePathBC250

# Read the contents of both files
$bc260Extensions = Get-Content -Path $filePathBC260
$bc250Extensions = Get-Content -Path $filePathBC250

# Find extensions that are in BC260 but not in BC250
$newExtensions = $bc260Extensions | Where-Object { $_ -notin $bc250Extensions }

# Output the new extensions
$newExtensions
