# Begin Load Variables based on
# https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/upgrade/upgrade-unmodified-application-to-v26
$oldBcServerInstance = "BC250"
$newBcServerInstance = "BC260"
$tenantId = "bc"
$tenantDatabase = "Production" 
$applicationDatabase = "PRODAPP"
$databaseServer = "localhost"
$appPathBC260= "C:\Software\BC260"
$appPathBC250= "C:\Software\BC250"
$dvdNameBC250 = "Dynamics.365.BC.31109.NL.DVD"
$dvdNameBC260 = "Dynamics.365.BC.32481.NL.DVD"
$systemAppPath = "$appPathBC260\$dvdNameBC260\Applications\system application\Source\\Microsoft_System Application.app"
$busFoundAppPath = "$appPathBC260\$dvdNameBC260\Applications\BusinessFoundation\Source\Microsoft_Business Foundation.app"
$baseAppPath = "$appPathBC260\$dvdNameBC260\Applications\BaseApp\Source\Microsoft_Base Application.app"
$applicationAppPath = "$appPathBC260\$dvdNameBC260\Applications\Application\Source\Microsoft_Application.app"
$newBCVersion = "26.0.30643.32481"
$oldBCVersion = "25.5.30849.31109"
$partnerLicense = "C:\Software\bc.bclicense"
$customerLicense = "C:\Software\bc.bclicense"
$addinsFolder = "C:\Program Files\Microsoft Dynamics 365 Business Central\260\Service\Add-ins"
$modulePathBC250 = "C:\Program Files\Microsoft Dynamics 365 Business Central\252\Service\NavAdminTool.ps1"
$modulePathBC260 = "C:\Program Files\Microsoft Dynamics 365 Business Central\260\Service\NavAdminTool.ps1"
$sqlRestorePath = "C:\Program Files\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\Backup"
$alternateId = "bc.digitalemels.nl"
$defaultCompany = "CRONUS Nederland BV"
$defaultTimeZone = "UTC"
$environmentType = "Production"
$displayName = "$defaultCompany"
$databaseNameBC260 = "Demo Database BC (26-0)"
$databaseNameBC250 = "Demo Database BC (25-2)"
$filePathBC260 = "C:\temp\BC260Extensions.txt"
$filePathBC250 = "C:\temp\BC250Extensions.txt"
# End Load Variables based on
# https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/upgrade/upgrade-unmodified-application-to-v26
